Bug 596502 - [abrt] crash in lyx-common-1.6.5-2.fc12: utf_8.py:16:decode:UnicodeDecodeError: 'utf8' codec can't decode bytes in position 64-65: invalid data
Summary: [abrt] crash in lyx-common-1.6.5-2.fc12: utf_8.py:16:decode:UnicodeDecodeErro...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: lyx (Show other bugs)
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d7bd72f6
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 20:20 UTC by Sebastian Krämer
Modified: 2011-05-13 10:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 14:19:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (850 bytes, text/plain)
2010-05-26 20:20 UTC, Sebastian Krämer
no flags Details

Description Sebastian Krämer 2010-05-26 20:20:15 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python -tt /usr/share/lyx/lyx2lyx/lyx2lyx -t 345 -o /tmp/lyx_tmpdir.MT3465/Buffer_readFile.QG3465 /home/sebi/Uni/cv-seminar2/reports/03/03.lyx
comment: Is it a known limitation? Running the file via pdflatex for example works just fine.
component: lyx
executable: /usr/share/lyx/lyx2lyx/lyx2lyx
kernel: 2.6.32.12-115.fc12.x86_64
package: lyx-common-1.6.5-2.fc12
reason: utf_8.py:16:decode:UnicodeDecodeError: 'utf8' codec can't decode bytes in position 64-65: invalid data
release: Fedora release 12 (Constantine)

backtrace
-----
utf_8.py:16:decode:UnicodeDecodeError: 'utf8' codec can't decode bytes in position 64-65: invalid data

Traceback (most recent call last):
  File "/usr/share/lyx/lyx2lyx/lyx2lyx", line 83, in <module>
    main()
  File "/usr/share/lyx/lyx2lyx/lyx2lyx", line 76, in main
    doc = LyX.File(**options.__dict__)
  File "/usr/share/lyx/lyx2lyx/LyX.py", line 652, in __init__
    self.read()
  File "/usr/share/lyx/lyx2lyx/LyX.py", line 283, in read
    self.preamble[i] = self.preamble[i].decode(self.encoding)
  File "/usr/lib64/python2.6/encodings/utf_8.py", line 16, in decode
    return codecs.utf_8_decode(input, errors, True)
UnicodeDecodeError: 'utf8' codec can't decode bytes in position 64-65: invalid data

Local variables in innermost frame:
input: '\\title{EfficientAlgorithmsforCo-segmentation}\\author{SebastianKr\xc3mer}'
errors: 'strict'

How to reproduce
-----
1. Write .tex file in utf8
2. import latex file via menu
3. experience error

Comment 1 Sebastian Krämer 2010-05-26 20:20:18 UTC
Created attachment 417019 [details]
File: backtrace

Comment 2 Bug Zapper 2010-11-03 14:06:07 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-12-03 14:19:37 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 José Matos 2011-03-15 15:24:49 UTC
Sebastian have you tried lyx-2.0 in F14? Does this problem still occurs there?

Comment 5 Sebastian Krämer 2011-05-13 10:59:22 UTC
I'm not 100% sure that I've used the original file for testing this now, but it appears that this issue isn't apparent any more with lyx-2.0.

Thanks for asking and for quick packaging of the lyx2 release!


Note You need to log in before you can comment on or make changes to this bug.